#!/usr/bin/python3

import pygame
from wobbl_tools.pygame_tools.pgui.widgets import Container
from wobbl_tools.pygame_tools.pgui.page_system import PageManager, Page


class MainMenu(Page):
    def update(self):
        pass


class PGUIExample:
    def __init__(self):
        pygame.init()

        self.screen = pygame.display.set_mode((800, 600), flags=pygame.RESIZABLE)

        self.clock = pygame.time.Clock()

        self.pages = PageManager(self)
        self.pages += MainMenu(self, main_container=Container())

        self.pages.current_page = "MainMenu"

    def tick(self):
        self.handle_events()

        self.draw()

        pygame.display.flip()

        self.clock.tick(60)

    def draw(self):
        self.screen.fill((40, 40, 40))
        self.pages.draw(self.screen)

    def handle_events(self):
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
                exit()

            elif event.type == pygame.VIDEORESIZE:  # on window resize
                self.pages.update()


if __name__ == "__main__":
    app = PGUIExample()

    while True:
        app.tick()
